# mobage-html5-sample-java
This sample application illustrates how to integrate your app with Mobage JavaScript SDK and RESTFul APIs

## Prerequisites
- You must have a Mobage developer account.
- Java 11 or later

## Project Structure
This repository contains multiple gradle projects, one for Web Application and other one is for Batch Application.
Both projects are Spring Boot-based projects.
```
├── batch // Directory for Batch Application
│   └── src
│       └── main
│           ├── java
│           │   └── com
│           │       └── mobage
│           │           └── nbpf
│           │               └── sampleapp
│           │                   ├── auth
│           │                   ├── config
│           │                   ├── exception
│           │                   └── recovery
│           └── resources
│               └── config
├── config
├── gradle
└── webapp // Directory for Web Application
    └── src
        └── main
            ├── java
            │   └── com
            │       └── mobage
            │           └── nbpf
            │               └── sampleapp
            │                   ├── auth
            │                   ├── config
            │                   ├── exception
            │                   └── payment
            └── resources
                ├── config
                ├── static
                └── templates // HTML Files
```

## Configuration
You will need to edit those files below to run this sample app.

| Application Type | Location |
| --- | --- |
| Web Application | webapp/src/main/resources/config/application.yml |
| Batch Application | batch/src/main/resources/config/application.yml |

Fill in your `client_id` and `client_secret` you obtained from the developers site.

## Run the sample application

### Command Line

#### Web Application
Run the command below on terminal to run the web application.

```./gradlew webapp:bootRun```

After viewing log messages, open http://localhost:8080 in your browser.

#### Batch Application
Run the command below on terminal to run the batch application

```./gradlew batch:bootRun```

### IntelliJ IDEA
After importing this project, follow the steps below to run the sample app
1. On Application menu, select Run -> Edit Configurations
1. On Run Configuration Dialog, + -> Application
1. On Configuration pane, input these values below
  - Main class: SampleAppApplicatoin
  - Use classpath of module : SampleApp.webapp.main
1. Click OK and Run

## Viewing Database tables
You will need to check database tables for understanding behavior of the batch application.

Since this sample application uses [h2db](https://www.h2database.com/),
you can view database tables by opening http://localhost:8080/h2-console in your browser.

On login dialog of h2 console, leave the default values and click Connect button.
