package com.mobage.nbpf.sampleapp.recovery;

import java.util.ArrayList;

import com.fasterxml.jackson.annotation.JsonProperty;

import lombok.Data;

/** A class that represents a response object for Payment Bank Debit Endpoint. */
@Data
public class PaymentBankDebitResponse {
  @JsonProperty("state")
  private String state;

  @JsonProperty("items")
  private ArrayList<ItemContainer> items;

  @Data
  public static class ItemContainer {
    @JsonProperty("item")
    private Item item;

    @JsonProperty("quantity")
    private int quantity;
  }

  @Data
  public static class Item {
    @JsonProperty("name")
    private String name;

    @JsonProperty("price")
    private String price;

    @JsonProperty("id")
    private String id;

    @JsonProperty("imageUrl")
    private String imageUrl;

    @JsonProperty("description")
    private String description;
  }
}
