package com.mobage.nbpf.sampleapp.recovery;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.CommandLineRunner;
import org.springframework.boot.WebApplicationType;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.builder.SpringApplicationBuilder;

import com.mobage.nbpf.sampleapp.config.SampleAppConfig;

@SpringBootApplication(scanBasePackages = {"com.mobage.nbpf"})
public class PaymentRecoveryBatchApplication implements CommandLineRunner {
  private PaymentRecoveryService service;

  public static void main(String[] args) {
    new SpringApplicationBuilder(PaymentRecoveryBatchApplication.class)
        .web(WebApplicationType.NONE)
        .run(args);
  }

  @Autowired
  public PaymentRecoveryBatchApplication(PaymentRecoveryService service, SampleAppConfig config) {
    this.service = service;
  }

  @Override
  public void run(String... args) throws Exception {
    // Call payment recovery process
    service.recovery();
  }
}
