package com.mobage.nbpf.sampleapp.exception;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Value;

/** A class that represents an error response object. */
@Value
public class ErrorResponse {
  @JsonProperty("error")
  private Error error;

  @Value
  private static class Error {
    @JsonProperty("reason")
    private final String reason;
    @JsonProperty("message")
    private final String message;
  }

  public static ErrorResponse create(String reason, String message) {
    return new ErrorResponse(new Error(reason, message));
  }
}
