package com.mobage.nbpf.sampleapp.exception;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.http.HttpHeaders;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.context.request.WebRequest;
import org.springframework.web.servlet.mvc.method.annotation.ResponseEntityExceptionHandler;

@RestControllerAdvice
public class RestControllerExceptionHandler extends ResponseEntityExceptionHandler {
  Logger logger = LoggerFactory.getLogger(RestControllerExceptionHandler.class);

  @Override
  protected ResponseEntity<Object> handleExceptionInternal(
      Exception ex, Object body, HttpHeaders headers, HttpStatus status, WebRequest request) {
    if (!(body instanceof ErrorResponse)) {
      body = ErrorResponse.create(status.getReasonPhrase(), ex.getMessage());
    }
    logger.error(ex.getMessage());
    return new ResponseEntity<>(body, headers, status);
  }

  @ExceptionHandler(Exception.class)
  @ResponseStatus(HttpStatus.INTERNAL_SERVER_ERROR)
  public ErrorResponse handleAllException(Exception ex, WebRequest request) {
    logger.error(ex.getMessage());
    return ErrorResponse.create(ex.getMessage(), "Unexpected error");
  }
}
