package com.mobage.nbpf.sampleapp.payment;

import com.mobage.nbpf.sampleapp.SessionStorage;
import com.mobage.nbpf.sampleapp.config.SampleAppConfig;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.*;
import java.util.UUID;

@Controller
@RequestMapping("/mobage/payment")
public class MobagePaymentController {
  private SampleAppConfig config;
  private SessionStorage session;

  @Autowired
  public MobagePaymentController(SampleAppConfig config, SessionStorage session) {
    this.config = config;
    this.session = session;
  }

  /**
   * request handler for index page of payment.
   */
  @GetMapping
  public String index(Model model) {

    if (session.getState() == null) {
      session.setState(UUID.randomUUID().toString());
    }

    model.addAttribute("clientId", config.getClientId());
    model.addAttribute("redirectUri", config.getRedirectUri());
    model.addAttribute("jssdkPath", config.getJssdkPath());
    model.addAttribute("state", session.getState());
    model.addAttribute("sessionState", session.getSessionState());
    return "payment";
  }
}
