create table if not exists user_items (
  user_id  int unsigned not null,
  item_id  varchar(256) not null,
  item_num int unsigned not null,
  primary key(user_id, item_id)
);

create table if not exists order_db (
  order_id          int unsigned not null auto_increment,
  order_state       varchar(10) default 'authorized' not null,
  transaction_id    varchar(256) not null,
  user_id           int unsigned not null,
  client_id         varchar(256) not null,
  created_at        int unsigned not null,
  primary key (order_id),
  unique index i1 (transaction_id),
  index         i2 (order_state, created_at)
);

create table if not exists user_tokens (
  user_id       int unsigned not null,
  client_id     varchar(256) not null,
  refresh_token text         not null,
  expires_at    int unsigned not null,
  primary key (user_id,client_id)
);